<html lang="en">
  <link
    href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css"
    rel="stylesheet"
  />
  <style>
    body {
      background-color: #1a202c;
      color: #e2e8f0;
    }

    .container-app {
      display: none;
      height: 100%;
      width: 100%;
      justify-content: center;
      align-items: center;
    }

    .container-wrapper {
      width: 100%;
    }
  </style>
  <script>
    (async function init() {
      const response = await fetch("http://localhost:3000/get-profile");
      const user = await response.json();

      document.getElementById("name").textContent = user.name
        ? user.name
        : "Alex Garces";
      document.getElementById("email").textContent = user.email
        ? user.email
        : "alex.garces@promofarma.com";
      document.getElementById("interests").textContent = user.interests
        ? user.interests
        : "coding, music";

      const cont = document.getElementById("container");
      cont.style.display = "flex";
    })();

    async function handleUpdateProfileRequest() {
      const contEdit = document.getElementById("container-edit");
      const cont = document.getElementById("container");

      const payload = {
        name: document.getElementById("input-name").value,
        email: document.getElementById("input-email").value,
        interests: document.getElementById("input-interests").value,
      };

      const response = await fetch("http://localhost:3000/update-profile", {
        method: "POST",
        headers: {
          Accept: "application/json",
          "Content-Type": "application/json",
        },
        body: JSON.stringify(payload),
      }).catch((e) => console.log(e));
      const jsonResponse = await response.json();

      document.getElementById("name").textContent = jsonResponse.name;
      document.getElementById("email").textContent = jsonResponse.email;
      document.getElementById("interests").textContent = jsonResponse.interests;

      cont.style.display = "flex";
      contEdit.style.display = "none";
    }

    function updateProfile() {
      const contEdit = document.getElementById("container-edit");
      const cont = document.getElementById("container");

      document.getElementById("input-name").value =
        document.getElementById("name").textContent;
      document.getElementById("input-email").value =
        document.getElementById("email").textContent;
      document.getElementById("input-interests").value =
        document.getElementById("interests").textContent;

      cont.style.display = "none";
      contEdit.style.display = "flex";
    }
  </script>

  <body>
    <div class="container-app" id="container">
      <div class="container-wrapper">
        <div
          class="max-w-md mx-auto p-8 bg-gray-800 rounded-md shadow-md form-container w-full"
        >
          <h2 class="text-2xl font-semibold text-white mb-6 text-center">
            User Profile
          </h2>
          <img
            class="block m-auto w-40 h-40 rounded-full mb-8 object-cover"
            src="profile-picture"
            alt="user-profile"
          />
          <div class="mb-4">
            <label for="name" class="block text-gray-300 text-sm font-bold mb-2"
              >Name</label
            >
            <p id="name" class="w-full px-3 py-2 text-white text-lg">
              Alex Garces
            </p>
          </div>
          <div class="mb-4">
            <label
              for="email"
              class="block text-gray-300 text-sm font-bold mb-2"
              >Email</label
            >
            <p
              id="email"
              name="email"
              placeholder="john@example.com"
              required
              class="w-full px-3 py-2 text-white text-lg"
            >
              alex.garces@promofarma.com
            </p>
          </div>
          <div class="mb-6">
            <label
              for="message"
              class="block text-gray-300 text-sm font-bold mb-2"
              >Interests</label
            >
            <p id="interests" class="w-full px-3 py-2 text-white text-lg">
              coding, music
            </p>
          </div>
          <button
            type="submit"
            onclick="updateProfile()"
            class="bg-blue-500 text-white px-4 py-2 rounded-md hover:bg-blue-600 focus:outline-none focus:shadow-outline-blue"
          >
            Edit Profile
          </button>
        </div>
      </div>
    </div>
    <div class="container-app" id="container-edit">
      <div class="container-wrapper">
        <div
          class="max-w-md mx-auto p-8 bg-gray-800 rounded-md shadow-md form-container w-full"
        >
          <h2 class="text-2xl font-semibold text-white mb-6 text-center">
            User Profile
          </h2>
          <img
            class="block m-auto w-40 h-40 rounded-full mb-8 object-cover"
            src="profile-picture"
            alt="user-profile"
          />
          <div class="mb-4">
            <label for="name" class="block text-gray-300 text-sm font-bold mb-2"
              >Name</label
            >
            <input
              type="text"
              id="input-name"
              name="name"
              required
              class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500 bg-gray-700 text-white"
            />
          </div>
          <div class="mb-4">
            <label
              for="email"
              class="block text-gray-300 text-sm font-bold mb-2"
              >Email</label
            >
            <input
              type="email"
              id="input-email"
              name="email"
              required
              class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500 bg-gray-700 text-white"
            />
          </div>
          <div class="mb-6">
            <label
              for="message"
              class="block text-gray-300 text-sm font-bold mb-2"
              >Interests</label
            >
            <textarea
              id="input-interests"
              name="message"
              rows="4"
              required
              class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500 bg-gray-700 text-white"
            ></textarea>
          </div>
          <button
            onclick="handleUpdateProfileRequest()"
            class="bg-blue-500 text-white px-4 py-2 rounded-md hover:bg-blue-600 focus:outline-none focus:shadow-outline-blue"
          >
            Update Profile
          </button>
        </div>
      </div>
    </div>
  </body>
</html>
